package cc.fascinated.controller;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author Fascinated (fascinated7)
 */
@RestController
@RequestMapping(value = "/")
public class RootController {
    /**
     * A GET mapping to show the welcome message.
     */
    @ResponseBody
    @GetMapping(value = "/")
    public ResponseEntity<?> getWelcome() {
        return ResponseEntity.ok(Map.of("message", "Hello!"));
    }
}
