package cc.fascinated.model.user.statistic;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
@Document("player_histories")
public class Statistic {
    /**
     * The rank of the player.
     */
    private final int rank;

    /**
     * The pp of the player.
     */
    private final int countryRank;
}
